<?php
declare (strict_types = 1);

namespace app\admin\middleware;
use think\facade\Db;
class checkToken
{
    /**
     * 处理请求
     *
     * @param \think\Request $request
     * @param \Closure       $next
     * @return Response
     */
    public function handle($request, \Closure $next)
    {
        if ($request->isOptions()) {
            return json();
        }
        $data=[
        	"info"=>"",
        	"action"=>"",
        	"url"=>$request->server()['REQUEST_URI'],
        	"param"=>json_encode($request->param(),JSON_UNESCAPED_UNICODE),
        	"name"=>'',
        	"addtime"=>date("Y-m-d H:i:s")
        ];
        Db::name("system_log")->insert($data);
        return $next($request);
    }
}
